# clock

    text clock(type)

Returns the current time of clock type, in seconds.

This function is not idempotent unlike the Now variable, so every call may return a new value.

Clock types:

- `"boottime"` — time since device startup, including device sleep/doze duration, guaranteed monotonic.
- `"monotonic"` — time since device startup, excluding device sleep/doze duration.
- `"realtime"` — current unix timestamp, may jump backwards or forwards unpredictably. See also Now variable.

## Parameters

1. type — text with type of clock.

## Returns

- a number with the current time of clock type, in seconds.